Index: table.c
===================================================================
RCS file: /cvs/gnome/vte/src/table.c,v
retrieving revision 1.18
diff -u -r1.18 table.c
--- table.c	29 Apr 2005 20:17:41 -0000	1.18
+++ table.c	12 Jun 2005 13:06:23 -0000
@@ -200,6 +200,7 @@
 						b->len - initial,
 						result, quark, inc);
 			}
+			
 			for (i = 1;
 			     i <= VTE_TABLE_MAX_NUMERIC_DEPTH;
 			     i++) {
@@ -217,6 +218,18 @@
 						b->data + initial, b->len - initial,
 						result, quark, inc);
 			}
+			
+			/* Here we special case so %mm matches both {number};m and {number}m */
+			g_byte_array_set_size(b, 0);
+			g_byte_array_append(b, original, initial);
+			g_byte_array_append(b, "%d", 2);
+			g_byte_array_append(b, ";", 1);
+			g_byte_array_append(b, pattern + 2, length - 2);
+			_vte_table_addi(table,
+					b->data, b->len,
+					b->data + initial, b->len - initial,
+					result, quark, inc);
+			
 			g_byte_array_free(b, TRUE);
 			return;
 		}
